package org.jeecg.modules.projectManagement.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 描述
 *
 * @author:陈创
 * @date:2019/11/20 10:07
 */
public class FdBioanalysisTemplateTree implements Serializable {
    private static final long serialVersionUID = 1L;

    private String key;

    private String value;

    private String title;
    /** 是否叶子节点*/
    private boolean isLeaf;

    private boolean expanded;
    private List<FdBioanalysisTemplateTree> children = new ArrayList<>();

    private String id;
    /**名称*/
    private String name;
    /**父极id*/
    private String parentId;
    /**比例*/
    private String proportion;
    /**项目id*/
    private String projectId;
    /**删除标记0可用1删除*/
    private String delFlag;
    /**创建人*/
    private String createBy;
    /**创建事件*/
    private Date createTime;
    /**修改人*/
    private String updateBy;
    /**修改时间*/
    private Date updateTime;
    /**def1*/
    private String def1;
    /**def2*/
    private String def2;
    /**def3*/
    private String def3;
    /**def4*/
    private String def4;
    /**def5*/
    private String def5;

    //样本总数
    private String samplesTotal;

    //排序
    private Integer sort;

    //用于与parentId建立子父极关系
    private String keyId;


    //级别类型1合同2化合物3基质
    private String levelType;

    public FdBioanalysisTemplateTree(){};
    public FdBioanalysisTemplateTree(FdBioanalysisTemplate fdBioanalysisTemplate){
        this.key=fdBioanalysisTemplate.getKeyId();
        this.value=fdBioanalysisTemplate.getKeyId();
        this.title=fdBioanalysisTemplate.getName();
        this.expanded=true;
        this.id=fdBioanalysisTemplate.getId();
        this.name=fdBioanalysisTemplate.getName();
        this.parentId=fdBioanalysisTemplate.getParentId();
        this.proportion=fdBioanalysisTemplate.getProportion();
        this.projectId=fdBioanalysisTemplate.getProjectId();
        this.samplesTotal=fdBioanalysisTemplate.getSamplesTotal();
        this.sort=fdBioanalysisTemplate.getSort();
        this.keyId=fdBioanalysisTemplate.getKeyId();
        this.levelType=fdBioanalysisTemplate.getLevelType();

    }

    public boolean isExpanded() {
        return expanded;
    }

    public void setExpanded(boolean expanded) {
        this.expanded = expanded;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public List<FdBioanalysisTemplateTree> getChildren() {
        return children;
    }

    public void setChildren(List<FdBioanalysisTemplateTree> children) {
        this.children = children;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getProportion() {
        return proportion;
    }

    public void setProportion(String proportion) {
        this.proportion = proportion;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getSamplesTotal() {
        return samplesTotal;
    }

    public void setSamplesTotal(String samplesTotal) {
        this.samplesTotal = samplesTotal;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getKeyId() {
        return keyId;
    }

    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    public String getLevelType() {
        return levelType;
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }
}
